Changeset 162


Ignore:
Timestamp:
Dec 1, 2006 3:10:02 PM (13 years ago)
Author:
andreasw
Message:

included latest changes from coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r143 r162  
    15911591
    15921592# Initialize the ADDLIBS variable
    1593 ADDLIBS='-lm'
     1593ADDLIBS="-lm $LIBS"
    15941594
    15951595
    15961596# Initialize the FADDLIBS variable (which is to be used with a fortran
    15971597# compiler and will not include FLIBS)
    1598 FADDLIBS=
     1598FADDLIBS="$LIBS"
    15991599
    16001600
     
    18051805if test x"$CXX" != x; then
    18061806  case "$CXX" in
    1807     cl*)
     1807    cl* | */cl*)
    18081808      if test x"$CC" = x; then
    18091809        CC="$CXX"
     
    18311831
    18321832# We delete the cached value, since the test might not have been
    1833 # performed with out choise of compilers earlier
     1833# performed with our choice of compilers earlier
    18341834$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    18351835ac_ext=c
     
    25462546ac_compiler_gnu=$ac_cv_c_compiler_gnu
    25472547
     2548if test -z "$CC" ; then
     2549  { { echo "$as_me:$LINENO: error: Failed to find a C compiler!" >&5
     2550echo "$as_me: error: Failed to find a C compiler!" >&2;}
     2551   { (exit 1); exit 1; }; }
     2552fi
     2553# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     2554case "$CC" in
     2555  cl* | */cl*)
     2556    if test "$ac_cv_prog_cc_g" = yes ; then
     2557      ac_cv_prog_cc_g=no
     2558      { echo "$as_me:$LINENO: Overruling autoconf; cl does not recognise -g." >&5
     2559echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
     2560    fi ;;
     2561esac
    25482562CFLAGS="$save_cflags"
    25492563
     
    29312945# Correct ADDLIBS initialization if we are using the MS compiler
    29322946case "$CC" in
    2933   cl*)
     2947  cl* | */cl*)
    29342948    ADDLIBS=
    29352949    case $build in
     
    29512965
    29522966
     2967case $build in
     2968  *-cygwin* | *-mingw*)
     2969     coin_f77_comps="gfortran g77 ifort fl32" ;;
     2970  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     2971esac
     2972
     2973
    29532974
    29542975
     
    29682989
    29692990save_fflags="$FFLAGS"
    2970 case $build in
    2971   *-cygwin* | *-mingw*)
    2972              comps="gfortran g77 ifort fl32" ;;
    2973   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2974 esac
     2991comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29752992
    29762993# We delete the cached value, since the test might not have been
    2977 # performed with out choise of compilers earlier
     2994# performed with our choice of compilers earlier
    29782995$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    29792996ac_ext=f
     
    30693086
    30703087# Provide some information about the compiler.
    3071 echo "$as_me:3071:" \
     3088echo "$as_me:3088:" \
    30723089     "checking for Fortran 77 compiler version" >&5
    30733090ac_compiler=`set X $ac_compile; echo $2`
     
    32123229ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32133230
     3231if test -z "$F77" ; then
     3232  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
     3233echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
     3234fi
    32143235FFLAGS="$save_fflags"
    32153236
     
    45774598*-*-irix6*)
    45784599  # Find out which ABI we are using.
    4579   echo '#line 4579 "configure"' > conftest.$ac_ext
     4600  echo '#line 4600 "configure"' > conftest.$ac_ext
    45804601  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    45814602  (eval $ac_compile) 2>&5
     
    70067027   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70077028   -e 's:$: $lt_compiler_flag:'`
    7008    (eval echo "\"\$as_me:7008: $lt_compile\"" >&5)
     7029   (eval echo "\"\$as_me:7029: $lt_compile\"" >&5)
    70097030   (eval "$lt_compile" 2>conftest.err)
    70107031   ac_status=$?
    70117032   cat conftest.err >&5
    7012    echo "$as_me:7012: \$? = $ac_status" >&5
     7033   echo "$as_me:7033: \$? = $ac_status" >&5
    70137034   if (exit $ac_status) && test -s "$ac_outfile"; then
    70147035     # The compiler can only warn and ignore the option if not recognized
     
    72747295   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72757296   -e 's:$: $lt_compiler_flag:'`
    7276    (eval echo "\"\$as_me:7276: $lt_compile\"" >&5)
     7297   (eval echo "\"\$as_me:7297: $lt_compile\"" >&5)
    72777298   (eval "$lt_compile" 2>conftest.err)
    72787299   ac_status=$?
    72797300   cat conftest.err >&5
    7280    echo "$as_me:7280: \$? = $ac_status" >&5
     7301   echo "$as_me:7301: \$? = $ac_status" >&5
    72817302   if (exit $ac_status) && test -s "$ac_outfile"; then
    72827303     # The compiler can only warn and ignore the option if not recognized
     
    73787399   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73797400   -e 's:$: $lt_compiler_flag:'`
    7380    (eval echo "\"\$as_me:7380: $lt_compile\"" >&5)
     7401   (eval echo "\"\$as_me:7401: $lt_compile\"" >&5)
    73817402   (eval "$lt_compile" 2>out/conftest.err)
    73827403   ac_status=$?
    73837404   cat out/conftest.err >&5
    7384    echo "$as_me:7384: \$? = $ac_status" >&5
     7405   echo "$as_me:7405: \$? = $ac_status" >&5
    73857406   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    73867407   then
     
    97239744  lt_status=$lt_dlunknown
    97249745  cat > conftest.$ac_ext <<EOF
    9725 #line 9725 "configure"
     9746#line 9746 "configure"
    97269747#include "confdefs.h"
    97279748
     
    98239844  lt_status=$lt_dlunknown
    98249845  cat > conftest.$ac_ext <<EOF
    9825 #line 9825 "configure"
     9846#line 9846 "configure"
    98269847#include "confdefs.h"
    98279848
     
    1216712188   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1216812189   -e 's:$: $lt_compiler_flag:'`
    12169    (eval echo "\"\$as_me:12169: $lt_compile\"" >&5)
     12190   (eval echo "\"\$as_me:12190: $lt_compile\"" >&5)
    1217012191   (eval "$lt_compile" 2>conftest.err)
    1217112192   ac_status=$?
    1217212193   cat conftest.err >&5
    12173    echo "$as_me:12173: \$? = $ac_status" >&5
     12194   echo "$as_me:12194: \$? = $ac_status" >&5
    1217412195   if (exit $ac_status) && test -s "$ac_outfile"; then
    1217512196     # The compiler can only warn and ignore the option if not recognized
     
    1227112292   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1227212293   -e 's:$: $lt_compiler_flag:'`
    12273    (eval echo "\"\$as_me:12273: $lt_compile\"" >&5)
     12294   (eval echo "\"\$as_me:12294: $lt_compile\"" >&5)
    1227412295   (eval "$lt_compile" 2>out/conftest.err)
    1227512296   ac_status=$?
    1227612297   cat out/conftest.err >&5
    12277    echo "$as_me:12277: \$? = $ac_status" >&5
     12298   echo "$as_me:12298: \$? = $ac_status" >&5
    1227812299   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1227912300   then
     
    1384113862   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1384213863   -e 's:$: $lt_compiler_flag:'`
    13843    (eval echo "\"\$as_me:13843: $lt_compile\"" >&5)
     13864   (eval echo "\"\$as_me:13864: $lt_compile\"" >&5)
    1384413865   (eval "$lt_compile" 2>conftest.err)
    1384513866   ac_status=$?
    1384613867   cat conftest.err >&5
    13847    echo "$as_me:13847: \$? = $ac_status" >&5
     13868   echo "$as_me:13868: \$? = $ac_status" >&5
    1384813869   if (exit $ac_status) && test -s "$ac_outfile"; then
    1384913870     # The compiler can only warn and ignore the option if not recognized
     
    1394513966   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1394613967   -e 's:$: $lt_compiler_flag:'`
    13947    (eval echo "\"\$as_me:13947: $lt_compile\"" >&5)
     13968   (eval echo "\"\$as_me:13968: $lt_compile\"" >&5)
    1394813969   (eval "$lt_compile" 2>out/conftest.err)
    1394913970   ac_status=$?
    1395013971   cat out/conftest.err >&5
    13951    echo "$as_me:13951: \$? = $ac_status" >&5
     13972   echo "$as_me:13972: \$? = $ac_status" >&5
    1395213973   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1395313974   then
     
    1615216173   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615316174   -e 's:$: $lt_compiler_flag:'`
    16154    (eval echo "\"\$as_me:16154: $lt_compile\"" >&5)
     16175   (eval echo "\"\$as_me:16175: $lt_compile\"" >&5)
    1615516176   (eval "$lt_compile" 2>conftest.err)
    1615616177   ac_status=$?
    1615716178   cat conftest.err >&5
    16158    echo "$as_me:16158: \$? = $ac_status" >&5
     16179   echo "$as_me:16179: \$? = $ac_status" >&5
    1615916180   if (exit $ac_status) && test -s "$ac_outfile"; then
    1616016181     # The compiler can only warn and ignore the option if not recognized
     
    1642016441   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1642116442   -e 's:$: $lt_compiler_flag:'`
    16422    (eval echo "\"\$as_me:16422: $lt_compile\"" >&5)
     16443   (eval echo "\"\$as_me:16443: $lt_compile\"" >&5)
    1642316444   (eval "$lt_compile" 2>conftest.err)
    1642416445   ac_status=$?
    1642516446   cat conftest.err >&5
    16426    echo "$as_me:16426: \$? = $ac_status" >&5
     16447   echo "$as_me:16447: \$? = $ac_status" >&5
    1642716448   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642816449     # The compiler can only warn and ignore the option if not recognized
     
    1652416545   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652516546   -e 's:$: $lt_compiler_flag:'`
    16526    (eval echo "\"\$as_me:16526: $lt_compile\"" >&5)
     16547   (eval echo "\"\$as_me:16547: $lt_compile\"" >&5)
    1652716548   (eval "$lt_compile" 2>out/conftest.err)
    1652816549   ac_status=$?
    1652916550   cat out/conftest.err >&5
    16530    echo "$as_me:16530: \$? = $ac_status" >&5
     16551   echo "$as_me:16551: \$? = $ac_status" >&5
    1653116552   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1653216553   then
     
    1947819499
    1947919500  # If maintainer mode is chosen, we make sure that the correct versions
    19480   # of the tools are used, and that we know where libtoo.m4 is (to
     19501  # of the tools are used, and that we know where libtool.m4 is (to
    1948119502  # recreate acinclude.m4)
    1948219503
    1948319504
    1948419505  LIBTOOLM4=
     19506  # Normally, $HOME
     19507  AUTOTOOLS_DFLT=$HOME
    1948519508
    1948619509  # Check if we have autoconf
     
    1955219575  autoconf_dir=`cd $autoconf_dir; pwd`
    1955319576  if test x$AUTOTOOLS_DIR = x; then
    19554     want_dir=$HOME/bin
     19577    want_dir=$AUTOTOOLS_DFLT/bin
    1955519578  else
    1955619579    want_dir=$AUTOTOOLS_DIR/bin
     
    1956319586    echo "$as_me:$LINENO: result: no" >&5
    1956419587echo "${ECHO_T}no" >&6
    19565     { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19566 echo "$as_me: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19588    { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19589echo "$as_me: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1956719590   { (exit 1); exit 1; }; }
    1956819591  fi
     
    1963619659  automake_dir=`cd $automake_dir; pwd`
    1963719660  if test x$AUTOTOOLS_DIR = x; then
    19638     want_dir=$HOME/bin
     19661    want_dir=$AUTOTOOLS_DFLT/bin
    1963919662  else
    1964019663    want_dir=$AUTOTOOLS_DIR/bin
     
    1964719670    echo "$as_me:$LINENO: result: no" >&5
    1964819671echo "${ECHO_T}no" >&6
    19649     { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19650 echo "$as_me: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19672    { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19673echo "$as_me: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1965119674   { (exit 1); exit 1; }; }
    1965219675  fi
     
    1965419677  # Check if we can find the libtool file
    1965519678  if test x$AUTOTOOLS_DIR = x; then
    19656     want_dir=$HOME/share
     19679    want_dir=$AUTOTOOLS_DFLT/share
    1965719680  else
    1965819681    want_dir=$AUTOTOOLS_DIR/share
     
    2011320136
    2011420137case "$CC" in
    20115   cl*) LIBEXT=lib ;;
     20138  cl* | */cl*)
     20139       LIBEXT=lib ;;
    2011620140    *) LIBEXT=a ;;
    2011720141esac
     
    2140921433
    2141021434if test x"$coin_vpath_link_files" = x; then : ; else
    21411   { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     21435  lnkcmd=
     21436  if test "$enable_doscompile" = yes; then
     21437    lnkcmd=cp
     21438  fi
     21439  case "$CC" in
     21440    cl* | */cl*)
     21441      lnkcmd=cp ;;
     21442  esac
     21443  if test "$lnkcmd" = cp; then
     21444    { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     21445echo "$as_me: Copying data files for VPATH configuration" >&6;}
     21446  else
     21447    echo "$as_me:$LINENO: checking whether ln -s works" >&5
     21448echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
     21449LN_S=$as_ln_s
     21450if test "$LN_S" = "ln -s"; then
     21451  echo "$as_me:$LINENO: result: yes" >&5
     21452echo "${ECHO_T}yes" >&6
     21453else
     21454  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
     21455echo "${ECHO_T}no, using $LN_S" >&6
     21456fi
     21457
     21458    { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2141221459echo "$as_me: Creating VPATH links for data files" >&6;}
     21460    lnkcmd="$LN_S"
     21461  fi
    2141321462  for file in $coin_vpath_link_files; do
     21463    dir=`(dirname "./$file") 2>/dev/null ||
     21464$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21465         X"./$file" : 'X\(//\)[^/]' \| \
     21466         X"./$file" : 'X\(//\)$' \| \
     21467         X"./$file" : 'X\(/\)' \| \
     21468         .     : '\(.\)' 2>/dev/null ||
     21469echo X"./$file" |
     21470    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21471          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21472          /^X\(\/\/\)$/{ s//\1/; q; }
     21473          /^X\(\/\).*/{ s//\1/; q; }
     21474          s/.*/./; q'`
     21475    if test -d $dir; then : ; else
     21476      { if $as_mkdir_p; then
     21477    mkdir -p $dir
     21478  else
     21479    as_dir=$dir
     21480    as_dirs=
     21481    while test ! -d "$as_dir"; do
     21482      as_dirs="$as_dir $as_dirs"
     21483      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     21484$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21485         X"$as_dir" : 'X\(//\)[^/]' \| \
     21486         X"$as_dir" : 'X\(//\)$' \| \
     21487         X"$as_dir" : 'X\(/\)' \| \
     21488         .     : '\(.\)' 2>/dev/null ||
     21489echo X"$as_dir" |
     21490    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21491          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21492          /^X\(\/\/\)$/{ s//\1/; q; }
     21493          /^X\(\/\).*/{ s//\1/; q; }
     21494          s/.*/./; q'`
     21495    done
     21496    test ! -n "$as_dirs" || mkdir $as_dirs
     21497  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dir" >&5
     21498echo "$as_me: error: cannot create directory $dir" >&2;}
     21499   { (exit 1); exit 1; }; }; }
     21500
     21501    fi
    2141421502    rm -f $file
    21415     $LN_S $abs_source_dir/$file $file
     21503    $lnkcmd $abs_source_dir/$file $file
    2141621504  done
    2141721505fi
Note: See TracChangeset for help on using the changeset viewer.